Bug 1412579 - RFE: add UI preference to disable auto USB redirection
Summary: RFE: add UI preference to disable auto USB redirection
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Hrdina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 10:52 UTC by zhoujunqin
Modified: 2020-01-26 19:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-26 19:16:46 UTC


Attachments (Terms of Use)

Description zhoujunqin 2017-01-12 10:52:10 UTC
Description of problem:
virt-manager GUI should allow to change config value

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-34.el6.x86_64
libvirt-0.10.2-62.el6.x86_64


How reproducible:
100% 

Steps to Reproduce:
Based on comment #5 Scenario-2 in bug 1403565.
1. You host has old virt-manager version: virt-manager-0.9.0-33.el6.x86_64
   
1.1 Launch virt-manager with "--spice-disable-auto-usbredir".
# virt-manager -spice-disable-auto-usbredir

1.2 Plug the usb device into the host and the usb device can't be auto redirected in guest ,check virtual machine-> redirect usb device -> find that the usb device is not selected as default

1.3 Close the guest window and close the virt-manager

1.4 Open the virt-manager without parameter "--spice-disable-auto-usbredir"
#virt-manager

1.5. Replug the usb device into the host but the usb device can't be auto redirected in guest ,it is not normal, check virtual machine-> redirect usb device -> find that the usb device is not selected automatically

Result:
After started virt-manage once with "--spice-disable-auto-usbredir" the auto usb redir was disabled from that moment even if you started virt-manager without that option.

2. Then update to new version: virt-manager-0.9.0-34.el6
2.1 Open the virt-manager without parameter "--spice-disable-auto-usbredir"
#virt-manager

2.2 Replug the usb device into the host but the usb device can't be auto redirected in guest.

Actual results:
As above, update to fixed virt-manager version cannot update gconf changed by old virt-manager version.

Expected results:
virt-manager GUI should allow to change config value.

Additional info:

Comment 1 Cole Robinson 2017-03-02 19:37:34 UTC
The upstream fix was:

commit 2cf19012862545052104763a6b5f66e7ad48a08a
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Feb 4 14:36:14 2014 -0500

    virt-manager: Don't make --spice-disable-auto-usbredir permanent
    
    Not sure why it worked this way, but it shouldn't touch gsettings

Comment 2 Xiaodai Wang 2017-03-03 02:42:19 UTC
(In reply to Cole Robinson from comment #1)
> The upstream fix was:
> 
> commit 2cf19012862545052104763a6b5f66e7ad48a08a
> Author: Cole Robinson <crobinso@redhat.com>
> Date:   Tue Feb 4 14:36:14 2014 -0500
> 
>     virt-manager: Don't make --spice-disable-auto-usbredir permanent
>     
>     Not sure why it worked this way, but it shouldn't touch gsettings

Hi Cole,

This patch fixed bug 1403565, but it still has another problem as description in comment 0 of this bug.

As Pavel's suggestion, he think we can add a UI option in preference dialog to avoid the scenario of this bug.

Thanks

Comment 3 Cole Robinson 2017-03-03 16:51:44 UTC
Oh I see, you are saying that once the gconf change has been made, there's no easy way to fix it with virt-manager. You can gconftool-2/dconf but obviously that's not ideal.

That said, in the absense of a customer request, I don't think this is that important for tracking for RHEL, so I'll move to the upstream tracker

Comment 4 Cole Robinson 2020-01-26 19:16:46 UTC
The comment #0 hasn't really shown to be an issue in practice, so I don't think adding a preference here is necessary anymore. Closing as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.